dots.v2.kubernetes.clusters.byCluster_id().node_pools.get()
Generated on 27 Oct 2026
from DoTs version
v1.21.0
Usage
client.v2.kubernetes.clusters.byCluster_id(cluster_id).node_pools.get(requestConfiguration?: RequestConfiguration<object>): Promise<undefined | Node_poolsGetResponse>Description
To list all of the node pools in a Kubernetes clusters, send a GET request to
/v2/kubernetes/clusters/{cluster_id}/node_pools.
Parameters
cluster_idstring requiredExample:
bd5f5959-5e1e-4205-a714-a914373942afA unique ID that can be used to reference a Kubernetes cluster.
Request Sample
Response Example
More Information
See /v2/kubernetes/clusters/{cluster_id}/node_pools in the API reference for additional detail on responses, headers, parameters, and more.